## python-s3transfer 0.11.2

=== requirements.txt ===
-e git+https://github.com/boto/botocore.git@develop#egg=botocore

## python-s3transfer 0.1.9

=== debian/changelog ===
python-s3transfer (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 10 Nov 2016 19:54:46 +0900

python-s3transfer (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #840662)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 14 Oct 2016 01:00:33 +0900

=== debian/control ===
Source: python-s3transfer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9)
	, python-all
	, python-setuptools
	, python3-all
	, python3-setuptools
	, python-concurrent.futures
	, dh-python
Standards-Version: 3.9.8
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-s3transfer.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-s3transfer.git

Package: python-s3transfer
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description:  Amazon S3 Transfer Manager for Python2
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 2.
 

Package: python3-s3transfer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description:  Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	true	# test requires network access

## python-s3transfer 0.1.10

=== debian/changelog ===
python-s3transfer (0.1.10-1) unstable; urgency=medium

  * New upstream version 0.1.10

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 17:42:49 +0900

## python-s3transfer 0.1.13

=== debian/changelog ===
python-s3transfer (0.1.13-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ TANIGUCHI Takaki ]
  * New upstream version 0.1.13

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 22 Feb 2018 17:41:24 +0900

python-s3transfer (0.1.12-1) unstable; urgency=medium

  * New upstream version 0.1.12
  * debian/rules: test ignore by using pybuild option
  * debian/compat: 11
  * Bump Standards-Vertion to 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Feb 2018 19:48:18 +0900

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 	, python-all
 	, python-setuptools
 	, python3-all
 	, python3-setuptools
 	, python-concurrent.futures
 	, dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/boto/s3transfer
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-s3transfer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-s3transfer.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-s3transfer.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-s3transfer
 
 Package: python-s3transfer
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/boto/s3transfer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-s3transfer 0.2.0

=== debian/changelog ===
python-s3transfer (0.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * New upstream version 0.2.0
  * debian/compat: 12
  * Bump Stanrads-Version to 4.3.0
  * d/patches: Refresh patches.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 27 Feb 2019 17:12:13 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 	, python-all
 	, python-setuptools
 	, python3-all
 	, python3-setuptools
 	, python-concurrent.futures
 	, dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/boto/s3transfer
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-s3transfer.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-s3transfer
@@ -22,7 +22,7 @@
  S3transfer is a Python library for managing Amazon S3 transfers.
  .
  This package contains the module for Python 2.
- 
+
 
 Package: python3-s3transfer
 Architecture: all

## python-s3transfer 0.2.1

=== debian/changelog ===
python-s3transfer (0.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 30 Jul 2019 18:11:52 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
 	, python-all
 	, python-setuptools
 	, python3-all
 	, python3-setuptools
 	, python-concurrent.futures
 	, dh-python
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/boto/s3transfer
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-s3transfer.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-s3transfer

## python-s3transfer 0.3.3

=== debian/changelog ===
python-s3transfer (0.3.3-1ubuntu0.16.04.1) xenial; urgency=medium

  * SRU the latest package version to 16.04 (LP: #1880999).
  * debian/control: re-add the python-s3transfer py2 package.
  * debian/control: adjust debhelper requirements.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 17 Jun 2020 11:26:48 +0200

python-s3transfer (0.3.3-1) unstable; urgency=medium

  * d/salsa-ci.yml: Add a CI config file
  * New upstream version 0.3.3
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 12 Feb 2020 10:51:30 +0900

python-s3transfer (0.2.1-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938153

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 12:12:58 -0400

python-s3transfer (0.2.1-2) unstable; urgency=medium

  * Strip unusual field spacing from debian/control.
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 30 Sep 2019 17:36:29 +0900

=== debian/control ===
Source: python-s3transfer
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9)
	, python-all
	, python-setuptools
	, python3-all
	, python3-setuptools
	, python-concurrent.futures
	, dh-python
Standards-Version: 3.9.8
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://salsa.debian.org/python-team/modules/python-s3transfer.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-s3transfer

Package: python-s3transfer
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description:  Amazon S3 Transfer Manager for Python2
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 2.


Package: python3-s3transfer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer
# requires network access
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-s3transfer 0.3.4

=== debian/changelog ===
python-s3transfer (0.3.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.3.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 18 Jan 2021 13:10:32 +0900

=== debian/control ===
Source: python-s3transfer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13)
	, python3-all
	, python3-setuptools
	, dh-python
Standards-Version: 4.5.1
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer

Package: python3-s3transfer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer
# requires network access
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-s3transfer 0.5.0

=== debian/changelog ===
python-s3transfer (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 Sep 2021 21:17:20 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	, python3-all
 	, python3-setuptools
 	, dh-python
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/boto/s3transfer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer

## python-s3transfer 0.6.0

=== debian/changelog ===
python-s3transfer (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Bump Standards-Version to 4.6.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Jul 2022 23:31:28 +0900

python-s3transfer (0.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.5.2
  * d/patches: Refresh patch

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 01 Apr 2022 22:40:17 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	, python3-all
 	, python3-setuptools
 	, dh-python
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/boto/s3transfer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer

## python-s3transfer 0.10.1

=== debian/changelog ===
python-s3transfer (0.10.1-1ubuntu2) noble; urgency=medium

  * d/control:
    - migrate to autopkgtest-pkg-pybuild to exec unit tests
    - reword description

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 17 Apr 2024 14:46:38 +0200

python-s3transfer (0.10.1-1ubuntu1) noble; urgency=medium

  * d/control: add python3-pytest as build dependency and
    disable tests that require internet
  * d/rules: enable unit tests during build
  * d/control: Add upstream warning from README.md

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 16 Apr 2024 22:32:37 +0200

python-s3transfer (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Mar 2024 09:32:27 +0100

python-s3transfer (0.10.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.10.0 (Closes: #1060760)
  * depends on new python3-botocore (>= 1.34.18+repack-1~)
  * do not impored vendored six.py from botocore.compat
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 23:00:19 +0100

python-s3transfer (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Bump Standards-Version to 4.6.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Nov 2023 13:55:28 +0900

=== debian/control ===
Source: python-s3transfer
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13)
	, python3-all
	, python3-setuptools
	, dh-sequence-python3
	, python3-botocore (>= 1.34.18+repack-1~)
	, python3-pytest
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer

Package: python3-s3transfer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-botocore (>= 1.34.18+repack-1~)
Description: Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.
 This project is not currently GA. For a basic, stable interface of s3transfer,
 try the interfaces exposed in python-boto3

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer
export PYBUILD_TEST_ARGS={dir}/tests/unit \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_create_client \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_config \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_existing_user_agent \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_existing_user_agent_extra

%:
	dh $@ --buildsystem=pybuild

## python-s3transfer 0.10.4

=== debian/changelog ===
python-s3transfer (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.4

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 18:30:29 +0100

=== debian/control ===
Source: python-s3transfer
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13)
	, python3-all
	, python3-setuptools
	, dh-sequence-python3
	, python3-botocore (>= 1.34.18+repack-1~)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer

Package: python3-s3transfer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-botocore (>= 1.34.18+repack-1~)
Description: Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.

## python-s3transfer 0.11.2

=== debian/changelog ===
python-s3transfer (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.2
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 14:19:21 +0100

=== debian/control ===
Source: python-s3transfer
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-botocore (>= 1.34.18+repack-1~),
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/boto/s3transfer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-s3transfer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-s3transfer
X-Style: black

Package: python3-s3transfer
Architecture: all
Depends:
 python3-botocore (>= 1.34.18+repack-1~),
 ${misc:Depends},
 ${python3:Depends},
Description: Amazon S3 Transfer Manager for Python3
 S3transfer is a Python library for managing Amazon S3 transfers.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer
# requires network access
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

## python-s3transfer 0.11.4

=== debian/changelog ===
python-s3transfer (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4
  * d/control: bump python3-botocore dependency to 1.37.4

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 03 Apr 2025 08:31:27 +0200

python-s3transfer (0.11.2-2) unstable; urgency=medium

  * Team upload.
  * Add Thomas as Uploader, welcome to DPT

  [ Thomas Bechtold ]
  * Enable tests during build and autopkgtests

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 09:55:03 +0100

## python-s3transfer 0.14.0

=== debian/changelog ===
python-s3transfer (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Refresh debian/patches

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 06 Nov 2025 14:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-s3transfer
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
+ Thomas Bechtold <thomasbechtold@jpberlin.de>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
- python3-botocore (>= 1.34.18+repack-1~),
+ python3-botocore (>= 1.37.4+repack-1~),
+ python3-pytest <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -21,7 +23,7 @@
 Package: python3-s3transfer
 Architecture: all
 Depends:
- python3-botocore (>= 1.34.18+repack-1~),
+ python3-botocore (>= 1.37.4+repack-1~),
  ${misc:Depends},
  ${python3:Depends},
 Description: Amazon S3 Transfer Manager for Python3

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=s3transfer
export PYBUILD_NAME=s3transfer
export PYBUILD_TEST_ARGS={dir}/tests/unit \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_create_client \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_config \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_existing_user_agent \
	--deselect tests/unit/test_processpool.py::TestClientFactory::test_user_agent_with_existing_user_agent_extra

%:
	dh $@ --buildsystem=pybuild
